import java.io.File;

/**
 * Configuration file for quick test purposes.
 * Contains hardcoded paths, code should be refactored into a proper test along
 * with the other classes (Server, Proxy, UClient, DClient).
 */
public final class Config {

//   static final String SOURCE_FILE_REPO = "/home/max/Downloads/1/";
//   static final String TARGET_FILE_REPO = "/home/max/Downloads/2/";
//   static final String FILE = SOURCE_FILE_REPO + "hadoop-1.0.1.tar.gz";
   static final String SOURCE_FILE_REPO = "C:\\Users\\mcalderoni\\Downloads\\1\\";
   static final String TARGET_FILE_REPO = "C:\\Users\\mcalderoni\\Downloads\\2\\";
   static final String FILE = SOURCE_FILE_REPO + "eclipse-java-indigo-SR2-win32.zip";

   static final int SERVER_PORT = 8282;
   static final int PROXY_PORT = 8080;
   static final long FILE_SIZE;

   static {
      File f = new File(FILE);
      if (!f.exists()) {
         throw new IllegalArgumentException("File " + FILE + " does not exist");
      }
      FILE_SIZE = f.length();
      if (!new File(Config.TARGET_FILE_REPO).exists()) {
         throw new IllegalArgumentException("Directory " + Config.TARGET_FILE_REPO + " does not exist");
      }
   }

   private Config() {
   }
}
